import Vue from 'vue'
import Router from 'vue-router'
import App from './App.vue'
import DNS from './components/DNS.vue';

Vue.use(Router);

import BootstrapVue from 'bootstrap-vue'
import 'bootstrap/dist/css/bootstrap.css'
import 'bootstrap-vue/dist/bootstrap-vue.css'

import { library } from '@fortawesome/fontawesome-svg-core'
import { fas } from '@fortawesome/free-solid-svg-icons'
import { FontAwesomeIcon } from '@fortawesome/vue-fontawesome'

library.add(fas);

Vue.component('fa', FontAwesomeIcon);

Vue.use(BootstrapVue);

Vue.config.productionTip = false;

const router = new Router({
    mode: 'hash',
    base: __dirname,
    routes: [
        { path : '/', name : 'home', component : DNS },
        { path : '/domain/:domain', name : 'dns', component : DNS }
    ]
});

new Vue({
  router,
  render: h => h(App)
}).$mount('#app');
